Subject: [Cellar] [ERRATA] Potentially incorrect default value for maxOccurs in XSD

From: Steve Lhomme <[email-masked]>
Date: Sun, 14 Feb 2021 09:31:06 +0100

In RFC 8794 Section 11.1.16 we have a XSD Schema file that describes the 
XML format to use to describe an EBML format.

The maxOccurs definition in the XSD doesn't match the definition in 
11.1.6.5, which is the correct one.

It should be defined as something like this:
   <xs:attribute name="maxOccurs" default="unbounded">
     <xs:simpleType>
       <xs:union>
         <xs:simpleType>
           <xs:restriction base="xs:integer">
             <xs:minInclusive value="0"/>
           </xs:restriction>
         </xs:simpleType>
         <xs:simpleType>
           <xs:restriction base="xs:string">
             <xs:enumeration value="unbounded"/>
           </xs:restriction>
         </xs:simpleType>
       </xs:union>
     </xs:simpleType>
   </xs:attribute>

Related issue on GitHub 
https://github.com/ietf-wg-cellar/ebml-specification/issues/395